package edu.harvard.mgh.purcell.gplink.data;

import java.io.IOException;

import ch.ethz.ssh2.Connection;
import ch.ethz.ssh2.Session;
import edu.harvard.mgh.purcell.gplink.base_form.GeneralUtil;
import edu.harvard.mgh.purcell.gplink.mainGUI.ErrorDialog;

public class SendCommand extends Thread {

	Connection conn;
	String command;
	
	public SendCommand(String cmd, Connection c){
		command = cmd;
		conn = c;
	}
	
	public void run(){
		try{
			Session sess = conn.openSession();
			sess.execCommand(command);
			sess.close();
			
		} catch (IOException e){
			new ErrorDialog(null, "Error exicuting PLINK command remotely.\n" +
					GeneralUtil.makeQuotedSpacesHard(command +" --gplink"));
			return;
	}
	}
}
